DragonFly BSD
DragonFly bugs List (threaded) for 2005-06
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: Undefined symbol "__libc_toupper_tab_"

From: Yury Tarasievich <grog@xxxxxxx>
Date: Mon, 13 Jun 2005 13:48:46 +0300

On 13 June 2005 13:24, Joerg Sonnenberger wrote:
> On Mon, Jun 13, 2005 at 10:42:15AM +0300, Yury Tarasievich wrote:
> > each time I try to run something like freebsd-4's opera or openoffice.
> > System is 1.3.1 (May 31) and X is 6.8.2, compiled on it. What does that
> > mean, I mean, deeper than not finding the (present) symbol?
> It means that you have a dynamically linked program which is linked against
> the old libc and wants to link a library build against the new libc.
> Sorry, this can't work. Best for the moment is to fetch a package with
> the libraries and use e.g. LD_LIBRARY_PATH in a wrapper script.

You mean *all* required libraries from freebsd-4, down to libc.so.4, right? 
Wouldn't that hit the locale compatibility problem?

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]